![Cover](readme_assets/header.png)

[![Netlify Status](https://api.netlify.com/api/v1/badges/692bdbac-34dc-4783-8a4e-e4a586fee7b6/deploy-status)](https://app.netlify.com/sites/web-animation/deploys)

# [✨ See also web-page version of this list ✨](https://web-animation.netlify.com/)

### Categories:
#### [Tools](#tools-1)
- [SVG](#svg)
- [Common](#common)
- [CSS](#css)
- [Canvas](#canvas)
- [Animate on scroll](#animate-on-scroll)
- [Text](#text)
- [GUI tools](#gui-tools)
- [Books](#books)

---

### Tools:

##### SVG:
 * [Snap.svg](https://github.com/adobe-webplatform/Snap.svg)
 * [Svg.js](https://github.com/svgdotjs/svg.js)
 * [Vivus](https://github.com/maxwellito/vivus)
 * [Walkway](https://github.com/ConnorAtherton/walkway)
 * [Raphael](https://github.com/DmitryBaranovskiy/raphael)
 * [SVG Morpheus](https://github.com/alexk111/SVG-Morpheus)
 * [Bonsai](https://github.com/uxebu/bonsai)

 ---

##### Common:
 * [GSAP](https://github.com/greensock/GSAP)
 * [TweenJS](https://github.com/CreateJS/TweenJS)
 * [Anime.js](https://github.com/juliangarnier/anime)
 * [Mojs](https://github.com/mojs/mojs)
 * [Animo.js](https://github.com/ThrivingKings/animo.js)
 * [Move.js](https://github.com/visionmedia/move.js)
 * [Velocity](https://github.com/julianshapiro/velocity)
 * [Animateplus](https://github.com/bendc/animateplus)
 * [Animatic](https://github.com/lvivski/animatic)
 * [Just Animate](https://github.com/just-animate/just-animate)
 * [Haiku Core](https://github.com/HaikuTeam/core)
 * [Between.js](https://github.com/sasha240100/between.js)
 * [Progressbar.js](https://github.com/kimmobrunfeldt/progressbar.js)
 * [Bezier easing](https://github.com/gre/bezier-easing)
 * [Glsl easings](https://github.com/glslify/glsl-easings)

---

##### CSS:
 * [Animate.css](https://github.com/daneden/animate.css)
 * [Motion-ui](https://github.com/foundation/motion-ui)
 * [Magic](https://github.com/miniMAC/magic)
 * [Css-loaders](https://github.com/lukehaas/css-loaders)
 * [SpinKit](https://github.com/tobiasahlin/SpinKit)
 * [Bounce.js](https://github.com/tictail/bounce.js)

---

##### Canvas:
 * [EaselJS](https://github.com/CreateJS/EaselJS)
 * [Fabric.js](https://github.com/fabricjs/fabric.js)
 * [Paper.js](https://github.com/paperjs/paper.js)
 * [Konva](https://github.com/konvajs/konva)
 * [Two.js](https://github.com/jonobr1/two.js)
 * [Ocanvas](https://github.com/koggdal/ocanvas)
 * [Curtainsjs](https://github.com/martinlaxenaire/curtainsjs)
 * [Hover-effect](https://github.com/robin-dela/hover-effect)

---

##### Animate on scroll:
 * [AOS](https://github.com/michalsnik/aos)
 * [Laxxx](https://github.com/alexfoxy/laxxx)
 * [Wow](https://github.com/matthieua/WOW)
 * [Scrollreveal](https://github.com/scrollreveal/scrollreveal)
 * [ScrollMagic](https://github.com/janpaepke/ScrollMagic)
 * [Motus](https://github.com/alexcambose/motus)
 * [Sal](https://github.com/mciastek/sal)

---

##### Text

 * [Malarkey](https://github.com/yuanqing/malarkey)
 * [Typed.js](https://github.com/mattboldt/typed.js)
 * [Shuffle-text](https://github.com/ics-ikeda/shuffle-text)
 * [Typebot](https://github.com/akzhy/typebot)
 * [Blotter](https://github.com/bradley/Blotter)

---

##### GUI tools:
 * [Svgartista](https://svgartista.net/)
 * [Mantra](https://jeremyckahn.github.io/mantra/)
 * [Animista](https://animista.net/)
 * [Cssanimate](http://cssanimate.com/)
 * [Keyframer](http://alexberg.in/keyframer/)
 * [CSS Animation Kit](http://angrytools.com/css/animation/)

---

### Books:
* [SVG animation](https://www.amazon.com/SVG-Animations-Implementations-Responsive-Animation/dp/1491939702)
* [Creating Web Animations: Bringing Your UIs to Life](https://www.amazon.com/Creating-Web-Animations-Bringing-Your/dp/1491957514/)
* [Transitions and Animations in CSS: Adding Motion with CSS](https://www.amazon.com/Transitions-Animations-CSS-Adding-Motion/dp/149192988X/)
* [Designing Interface Animation: Meaningful Motion for User Experience](https://www.amazon.com/Designing-Interface-Animation-Meaningful-Experience/dp/1933820322/)
* [Web Animation using JavaScript: Develop & Design](https://www.amazon.com/Web-Animation-using-JavaScript-Develop/dp/0134096665)
* [CSS Animations and Transitions for the Modern Web](https://www.amazon.com/gp/product/0133980502/)
* [Animation in HTML, CSS, and JavaScript](https://www.amazon.com/Animation-HTML-JavaScript-Kirupa-Chinnathambi/dp/1502548704)
* [Foundation HTML5 Animation with JavaScript](https://www.amazon.com/Foundation-HTML5-Animation-JavaScript-Lamberta/dp/1430236655/)
